Index: /trunk/source/visualization/OpenGL/History
===================================================================
--- /trunk/source/visualization/OpenGL/History	(revision 914)
+++ /trunk/source/visualization/OpenGL/History	(revision 915)
@@ -1,3 +1,3 @@
-$Id: History,v 1.124 2009/01/22 15:39:55 lgarnier Exp $
+$Id: History,v 1.125 2009/02/04 16:48:40 lgarnier Exp $
 -------------------------------------------------------------------
 
@@ -20,4 +20,9 @@
 History file for visualization/OpenGL
 -------------------------------------
+
+2nd February 2009  Laurent Garnier
+- Improve Anticipate headers declaration in all files
+- Factorize grabPixels function in G4OpenGLViewer
+- Begin of refactoring printEPS function
 
 22th January 2009  Laurent Garnier
Index: /trunk/source/visualization/OpenGL/include/G4OpenGL.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGL.hh	(revision 914)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGL.hh	(revision 915)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4OpenGL.hh,v 1.7 2008/04/04 13:32:22 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGL.hh,v 1.8 2009/02/04 16:48:40 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // G.Barrand.
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLBitMapStore.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLBitMapStore.hh	(revision 914)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLBitMapStore.hh	(revision 915)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLBitMapStore.hh,v 1.2 2007/11/15 10:14:23 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLBitMapStore.hh,v 1.3 2009/02/04 16:48:40 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLFontBaseStore.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLFontBaseStore.hh	(revision 914)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLFontBaseStore.hh	(revision 915)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4OpenGLFontBaseStore.hh,v 1.3 2006/06/29 21:17:38 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLFontBaseStore.hh,v 1.4 2009/02/04 16:48:40 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // J.Allison  Apr 2005.
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLImmediateQt.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLImmediateQt.hh	(revision 914)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLImmediateQt.hh	(revision 915)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLImmediateQt.hh,v 1.1 2007/09/28 14:44:13 lgarnier Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLImmediateQt.hh,v 1.2 2009/02/04 16:48:40 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLImmediateQtViewer.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLImmediateQtViewer.hh	(revision 914)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLImmediateQtViewer.hh	(revision 915)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLImmediateQtViewer.hh,v 1.4 2008/11/06 13:43:44 lgarnier Exp $
+// $Id: G4OpenGLImmediateQtViewer.hh,v 1.5 2009/02/04 16:48:40 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLImmediateSceneHandler.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLImmediateSceneHandler.hh	(revision 914)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLImmediateSceneHandler.hh	(revision 915)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLImmediateSceneHandler.hh,v 1.14 2008/01/04 22:07:01 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLImmediateSceneHandler.hh,v 1.15 2009/02/04 16:48:40 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLImmediateViewer.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLImmediateViewer.hh	(revision 914)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLImmediateViewer.hh	(revision 915)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLImmediateViewer.hh,v 1.9 2006/09/04 12:07:59 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLImmediateViewer.hh,v 1.10 2009/02/04 16:48:40 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLImmediateWin32.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLImmediateWin32.hh	(revision 914)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLImmediateWin32.hh	(revision 915)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLImmediateWin32.hh,v 1.7 2006/06/29 21:17:44 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLImmediateWin32.hh,v 1.8 2009/02/04 16:48:40 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLImmediateWin32Viewer.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLImmediateWin32Viewer.hh	(revision 914)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLImmediateWin32Viewer.hh	(revision 915)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLImmediateWin32Viewer.hh,v 1.9 2006/06/29 21:17:46 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLImmediateWin32Viewer.hh,v 1.10 2009/02/04 16:48:40 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLImmediateX.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLImmediateX.hh	(revision 914)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLImmediateX.hh	(revision 915)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLImmediateX.hh,v 1.7 2006/06/29 21:17:48 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLImmediateX.hh,v 1.8 2009/02/04 16:48:40 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLImmediateXViewer.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLImmediateXViewer.hh	(revision 914)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLImmediateXViewer.hh	(revision 915)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLImmediateXViewer.hh,v 1.9 2006/07/03 16:38:13 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLImmediateXViewer.hh,v 1.10 2009/02/04 16:48:40 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLImmediateXm.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLImmediateXm.hh	(revision 914)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLImmediateXm.hh	(revision 915)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLImmediateXm.hh,v 1.7 2006/06/29 21:17:52 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLImmediateXm.hh,v 1.8 2009/02/04 16:48:40 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLImmediateXmViewer.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLImmediateXmViewer.hh	(revision 914)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLImmediateXmViewer.hh	(revision 915)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLImmediateXmViewer.hh,v 1.9 2006/07/03 16:38:13 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLImmediateXmViewer.hh,v 1.10 2009/02/04 16:48:40 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLQtExportDialog.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLQtExportDialog.hh	(revision 914)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLQtExportDialog.hh	(revision 915)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLQtExportDialog.hh,v 1.6 2008/10/15 10:16:17 lgarnier Exp $
+// $Id: G4OpenGLQtExportDialog.hh,v 1.7 2009/02/04 16:48:40 lgarnier Exp $
 // GEANT4 tag $Name: 
 //
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLQtViewer.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLQtViewer.hh	(revision 914)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLQtViewer.hh	(revision 915)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLQtViewer.hh,v 1.14 2009/01/19 16:08:47 lgarnier Exp $
+// $Id: G4OpenGLQtViewer.hh,v 1.15 2009/02/04 16:48:40 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLSceneHandler.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLSceneHandler.hh	(revision 914)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLSceneHandler.hh	(revision 915)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLSceneHandler.hh,v 1.24 2008/01/04 22:07:01 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLSceneHandler.hh,v 1.25 2009/02/04 16:48:40 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLSceneHandler.icc
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLSceneHandler.icc	(revision 914)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLSceneHandler.icc	(revision 915)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLSceneHandler.icc,v 1.8 2008/01/30 10:54:13 lgarnier Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLSceneHandler.icc,v 1.9 2009/02/04 16:48:40 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLStoredQt.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLStoredQt.hh	(revision 914)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLStoredQt.hh	(revision 915)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLStoredQt.hh,v 1.1 2007/09/28 14:44:13 lgarnier Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLStoredQt.hh,v 1.2 2009/02/04 16:48:40 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLStoredQtViewer.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLStoredQtViewer.hh	(revision 914)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLStoredQtViewer.hh	(revision 915)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLStoredQtViewer.hh,v 1.7 2008/11/06 13:43:44 lgarnier Exp $
+// $Id: G4OpenGLStoredQtViewer.hh,v 1.8 2009/02/04 16:48:40 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLStoredSceneHandler.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLStoredSceneHandler.hh	(revision 914)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLStoredSceneHandler.hh	(revision 915)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLStoredSceneHandler.hh,v 1.27 2008/04/28 16:19:40 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLStoredSceneHandler.hh,v 1.28 2009/02/04 16:48:40 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLStoredViewer.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLStoredViewer.hh	(revision 914)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLStoredViewer.hh	(revision 915)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLStoredViewer.hh,v 1.9 2006/06/29 21:18:02 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLStoredViewer.hh,v 1.10 2009/02/04 16:48:40 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLStoredWin32.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLStoredWin32.hh	(revision 914)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLStoredWin32.hh	(revision 915)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLStoredWin32.hh,v 1.7 2006/06/29 21:18:04 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLStoredWin32.hh,v 1.8 2009/02/04 16:48:40 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLStoredWin32Viewer.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLStoredWin32Viewer.hh	(revision 914)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLStoredWin32Viewer.hh	(revision 915)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLStoredWin32Viewer.hh,v 1.7 2006/06/29 21:18:06 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLStoredWin32Viewer.hh,v 1.8 2009/02/04 16:48:40 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLStoredX.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLStoredX.hh	(revision 914)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLStoredX.hh	(revision 915)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLStoredX.hh,v 1.7 2006/06/29 21:18:08 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLStoredX.hh,v 1.8 2009/02/04 16:48:40 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLStoredXViewer.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLStoredXViewer.hh	(revision 914)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLStoredXViewer.hh	(revision 915)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLStoredXViewer.hh,v 1.7 2006/07/03 16:38:13 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLStoredXViewer.hh,v 1.8 2009/02/04 16:48:40 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLStoredXm.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLStoredXm.hh	(revision 914)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLStoredXm.hh	(revision 915)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLStoredXm.hh,v 1.6 2006/06/29 21:18:12 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLStoredXm.hh,v 1.7 2009/02/04 16:48:40 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLStoredXmViewer.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLStoredXmViewer.hh	(revision 914)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLStoredXmViewer.hh	(revision 915)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLStoredXmViewer.hh,v 1.7 2006/07/03 16:38:13 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLStoredXmViewer.hh,v 1.8 2009/02/04 16:48:40 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLTransform3D.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLTransform3D.hh	(revision 914)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLTransform3D.hh	(revision 915)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLTransform3D.hh,v 1.7 2006/06/29 21:18:16 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLTransform3D.hh,v 1.8 2009/02/04 16:48:41 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLViewer.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLViewer.hh	(revision 914)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLViewer.hh	(revision 915)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLViewer.hh,v 1.25 2009/01/16 08:29:17 lgarnier Exp $
+// $Id: G4OpenGLViewer.hh,v 1.26 2009/02/04 16:48:41 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLViewerMessenger.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLViewerMessenger.hh	(revision 914)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLViewerMessenger.hh	(revision 915)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLViewerMessenger.hh,v 1.5 2007/05/08 11:04:11 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLViewerMessenger.hh,v 1.6 2009/02/04 16:48:41 lgarnier Exp $
+// GEANT4 tag $Name:  $
 
 #ifndef G4OPENGLVIEWERMESSENGER_HH
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLWin32Viewer.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLWin32Viewer.hh	(revision 914)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLWin32Viewer.hh	(revision 915)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLWin32Viewer.hh,v 1.14 2007/11/10 14:50:01 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLWin32Viewer.hh,v 1.15 2009/02/04 16:48:41 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLXViewer.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLXViewer.hh	(revision 914)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLXViewer.hh	(revision 915)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLXViewer.hh,v 1.29 2009/01/19 16:08:47 lgarnier Exp $
+// $Id: G4OpenGLXViewer.hh,v 1.30 2009/02/04 16:48:41 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
@@ -41,7 +41,5 @@
 #include "globals.hh"
 
-#include <X11/Xlib.h>
 #include <X11/Intrinsic.h>
-#include <X11/Xmu/StdCmap.h>
 
 #include <GL/glx.h>
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLXmBox.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLXmBox.hh	(revision 914)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLXmBox.hh	(revision 915)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLXmBox.hh,v 1.7 2006/06/29 21:18:24 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLXmBox.hh,v 1.8 2009/02/04 16:48:41 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLXmFourArrowButtons.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLXmFourArrowButtons.hh	(revision 914)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLXmFourArrowButtons.hh	(revision 915)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLXmFourArrowButtons.hh,v 1.6 2006/06/29 21:18:26 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLXmFourArrowButtons.hh,v 1.7 2009/02/04 16:48:41 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLXmFramedBox.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLXmFramedBox.hh	(revision 914)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLXmFramedBox.hh	(revision 915)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLXmFramedBox.hh,v 1.7 2006/06/29 21:18:28 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLXmFramedBox.hh,v 1.8 2009/02/04 16:48:41 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLXmPushButton.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLXmPushButton.hh	(revision 914)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLXmPushButton.hh	(revision 915)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLXmPushButton.hh,v 1.7 2006/06/29 21:18:30 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLXmPushButton.hh,v 1.8 2009/02/04 16:48:41 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLXmRadioButton.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLXmRadioButton.hh	(revision 914)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLXmRadioButton.hh	(revision 915)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLXmRadioButton.hh,v 1.7 2006/06/29 21:18:32 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLXmRadioButton.hh,v 1.8 2009/02/04 16:48:41 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLXmResources.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLXmResources.hh	(revision 914)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLXmResources.hh	(revision 915)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLXmResources.hh,v 1.5 2006/06/29 21:18:34 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLXmResources.hh,v 1.6 2009/02/04 16:48:41 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 //
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLXmSeparator.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLXmSeparator.hh	(revision 914)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLXmSeparator.hh	(revision 915)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLXmSeparator.hh,v 1.6 2006/06/29 21:18:36 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLXmSeparator.hh,v 1.7 2009/02/04 16:48:41 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLXmSliderBar.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLXmSliderBar.hh	(revision 914)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLXmSliderBar.hh	(revision 915)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLXmSliderBar.hh,v 1.7 2006/06/29 21:18:38 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLXmSliderBar.hh,v 1.8 2009/02/04 16:48:41 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLXmTextField.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLXmTextField.hh	(revision 914)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLXmTextField.hh	(revision 915)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLXmTextField.hh,v 1.7 2006/06/29 21:18:40 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLXmTextField.hh,v 1.8 2009/02/04 16:48:41 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLXmTopLevelShell.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLXmTopLevelShell.hh	(revision 914)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLXmTopLevelShell.hh	(revision 915)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLXmTopLevelShell.hh,v 1.6 2006/06/29 21:18:42 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLXmTopLevelShell.hh,v 1.7 2009/02/04 16:48:41 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLXmVWidgetComponent.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLXmVWidgetComponent.hh	(revision 914)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLXmVWidgetComponent.hh	(revision 915)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLXmVWidgetComponent.hh,v 1.6 2006/06/29 21:18:44 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLXmVWidgetComponent.hh,v 1.7 2009/02/04 16:48:41 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLXmVWidgetContainer.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLXmVWidgetContainer.hh	(revision 914)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLXmVWidgetContainer.hh	(revision 915)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLXmVWidgetContainer.hh,v 1.6 2006/06/29 21:18:46 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLXmVWidgetContainer.hh,v 1.7 2009/02/04 16:48:41 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLXmVWidgetObject.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLXmVWidgetObject.hh	(revision 914)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLXmVWidgetObject.hh	(revision 915)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLXmVWidgetObject.hh,v 1.6 2006/06/29 21:18:48 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLXmVWidgetObject.hh,v 1.7 2009/02/04 16:48:41 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
@@ -38,6 +38,4 @@
 #include "globals.hh"
 #include <Xm/Xm.h>
-#include "X11/Intrinsic.h"
-#include <X11/Xlib.h>
 
 class G4OpenGLXmViewer;
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLXmVWidgetShell.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLXmVWidgetShell.hh	(revision 914)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLXmVWidgetShell.hh	(revision 915)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLXmVWidgetShell.hh,v 1.6 2006/06/29 21:18:50 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLXmVWidgetShell.hh,v 1.7 2009/02/04 16:48:41 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLXmViewer.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLXmViewer.hh	(revision 914)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLXmViewer.hh	(revision 915)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLXmViewer.hh,v 1.10 2006/06/29 21:18:52 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLXmViewer.hh,v 1.11 2009/02/04 16:48:41 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
@@ -42,22 +42,4 @@
 
 #include <Xm/Xm.h>
-#include <Xm/MainW.h>
-#include <Xm/Label.h>
-#include <Xm/Form.h>
-#include <Xm/RowColumn.h>
-#include <Xm/PushB.h>
-#include <Xm/ToggleB.h>
-#include <Xm/ArrowBG.h>
-#include <Xm/CascadeB.h>
-#include <Xm/DrawingA.h>
-#include <Xm/Frame.h>
-#include <X11/keysym.h>
-#include <Xm/XmStrDefs.h>
-#include <X11/Xmu/StdCmap.h>
-#include <Xm/TextF.h>
-#include <Xm/ToggleB.h>
-#include <X11/Shell.h>
-#include <Xm/Separator.h>
-#include <Xm/Scale.h>
 
 class G4OpenGLXmTopLevelShell;
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLXmViewerMessenger.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLXmViewerMessenger.hh	(revision 914)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLXmViewerMessenger.hh	(revision 915)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLXmViewerMessenger.hh,v 1.4 2006/06/29 21:18:54 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLXmViewerMessenger.hh,v 1.5 2009/02/04 16:48:41 lgarnier Exp $
+// GEANT4 tag $Name:  $
 
 #ifdef G4VIS_BUILD_OPENGLXM_DRIVER
Index: /trunk/source/visualization/OpenGL/src/G4OpenGLImmediateQt.cc
===================================================================
--- /trunk/source/visualization/OpenGL/src/G4OpenGLImmediateQt.cc	(revision 914)
+++ /trunk/source/visualization/OpenGL/src/G4OpenGLImmediateQt.cc	(revision 915)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLImmediateQt.cc,v 1.5 2009/01/19 16:26:40 lgarnier Exp $
+// $Id: G4OpenGLImmediateQt.cc,v 1.6 2009/02/04 16:48:41 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
Index: /trunk/source/visualization/OpenGL/src/G4OpenGLImmediateQtViewer.cc
===================================================================
--- /trunk/source/visualization/OpenGL/src/G4OpenGLImmediateQtViewer.cc	(revision 914)
+++ /trunk/source/visualization/OpenGL/src/G4OpenGLImmediateQtViewer.cc	(revision 915)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLImmediateQtViewer.cc,v 1.11 2009/01/19 16:53:42 lgarnier Exp $
+// $Id: G4OpenGLImmediateQtViewer.cc,v 1.12 2009/02/04 16:48:41 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
Index: /trunk/source/visualization/OpenGL/src/G4OpenGLImmediateSceneHandler.cc
===================================================================
--- /trunk/source/visualization/OpenGL/src/G4OpenGLImmediateSceneHandler.cc	(revision 914)
+++ /trunk/source/visualization/OpenGL/src/G4OpenGLImmediateSceneHandler.cc	(revision 915)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLImmediateSceneHandler.cc,v 1.30 2008/04/04 13:32:22 allison Exp $
+// $Id: G4OpenGLImmediateSceneHandler.cc,v 1.31 2009/02/04 16:48:41 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
Index: /trunk/source/visualization/OpenGL/src/G4OpenGLImmediateViewer.cc
===================================================================
--- /trunk/source/visualization/OpenGL/src/G4OpenGLImmediateViewer.cc	(revision 914)
+++ /trunk/source/visualization/OpenGL/src/G4OpenGLImmediateViewer.cc	(revision 915)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLImmediateViewer.cc,v 1.9 2009/01/19 16:53:42 lgarnier Exp $
+// $Id: G4OpenGLImmediateViewer.cc,v 1.10 2009/02/04 16:48:41 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
Index: /trunk/source/visualization/OpenGL/src/G4OpenGLImmediateX.cc
===================================================================
--- /trunk/source/visualization/OpenGL/src/G4OpenGLImmediateX.cc	(revision 914)
+++ /trunk/source/visualization/OpenGL/src/G4OpenGLImmediateX.cc	(revision 915)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLImmediateX.cc,v 1.14 2009/01/19 16:53:42 lgarnier Exp $
+// $Id: G4OpenGLImmediateX.cc,v 1.15 2009/02/04 16:48:41 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
Index: /trunk/source/visualization/OpenGL/src/G4OpenGLImmediateXViewer.cc
===================================================================
--- /trunk/source/visualization/OpenGL/src/G4OpenGLImmediateXViewer.cc	(revision 914)
+++ /trunk/source/visualization/OpenGL/src/G4OpenGLImmediateXViewer.cc	(revision 915)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLImmediateXViewer.cc,v 1.18 2009/01/19 16:53:42 lgarnier Exp $
+// $Id: G4OpenGLImmediateXViewer.cc,v 1.19 2009/02/04 16:48:41 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
Index: /trunk/source/visualization/OpenGL/src/G4OpenGLImmediateXm.cc
===================================================================
--- /trunk/source/visualization/OpenGL/src/G4OpenGLImmediateXm.cc	(revision 914)
+++ /trunk/source/visualization/OpenGL/src/G4OpenGLImmediateXm.cc	(revision 915)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLImmediateXm.cc,v 1.14 2009/01/19 16:53:42 lgarnier Exp $
+// $Id: G4OpenGLImmediateXm.cc,v 1.15 2009/02/04 16:48:41 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
Index: /trunk/source/visualization/OpenGL/src/G4OpenGLImmediateXmViewer.cc
===================================================================
--- /trunk/source/visualization/OpenGL/src/G4OpenGLImmediateXmViewer.cc	(revision 914)
+++ /trunk/source/visualization/OpenGL/src/G4OpenGLImmediateXmViewer.cc	(revision 915)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLImmediateXmViewer.cc,v 1.19 2009/01/19 16:53:42 lgarnier Exp $
+// $Id: G4OpenGLImmediateXmViewer.cc,v 1.20 2009/02/04 16:48:41 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
Index: /trunk/source/visualization/OpenGL/src/G4OpenGLQtViewer.cc
===================================================================
--- /trunk/source/visualization/OpenGL/src/G4OpenGLQtViewer.cc	(revision 914)
+++ /trunk/source/visualization/OpenGL/src/G4OpenGLQtViewer.cc	(revision 915)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLQtViewer.cc,v 1.34 2009/01/19 16:53:42 lgarnier Exp $
+// $Id: G4OpenGLQtViewer.cc,v 1.35 2009/02/04 16:48:41 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
Index: /trunk/source/visualization/OpenGL/src/G4OpenGLStoredSceneHandler.cc
===================================================================
--- /trunk/source/visualization/OpenGL/src/G4OpenGLStoredSceneHandler.cc	(revision 914)
+++ /trunk/source/visualization/OpenGL/src/G4OpenGLStoredSceneHandler.cc	(revision 915)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLStoredSceneHandler.cc,v 1.39 2008/11/06 13:43:44 lgarnier Exp $
+// $Id: G4OpenGLStoredSceneHandler.cc,v 1.40 2009/02/04 16:48:41 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
Index: /trunk/source/visualization/OpenGL/src/G4OpenGLViewer.cc
===================================================================
--- /trunk/source/visualization/OpenGL/src/G4OpenGLViewer.cc	(revision 914)
+++ /trunk/source/visualization/OpenGL/src/G4OpenGLViewer.cc	(revision 915)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLViewer.cc,v 1.45 2009/01/15 18:14:58 lgarnier Exp $
+// $Id: G4OpenGLViewer.cc,v 1.47 2009/02/04 16:48:41 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
Index: /trunk/source/visualization/OpenGL/src/G4OpenGLXViewer.cc
===================================================================
--- /trunk/source/visualization/OpenGL/src/G4OpenGLXViewer.cc	(revision 914)
+++ /trunk/source/visualization/OpenGL/src/G4OpenGLXViewer.cc	(revision 915)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLXViewer.cc,v 1.47 2009/01/22 15:39:55 lgarnier Exp $
+// $Id: G4OpenGLXViewer.cc,v 1.48 2009/02/04 16:48:41 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
@@ -52,4 +52,5 @@
 #include <X11/Xatom.h>
 #include <X11/Xutil.h>
+#include <X11/Xmu/StdCmap.h>
 
 #include <assert.h>
Index: /trunk/source/visualization/OpenGL/src/G4OpenGLXmBox.cc
===================================================================
--- /trunk/source/visualization/OpenGL/src/G4OpenGLXmBox.cc	(revision 914)
+++ /trunk/source/visualization/OpenGL/src/G4OpenGLXmBox.cc	(revision 915)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLXmBox.cc,v 1.7 2009/01/19 16:53:42 lgarnier Exp $
+// $Id: G4OpenGLXmBox.cc,v 1.8 2009/02/04 16:48:41 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
Index: /trunk/source/visualization/OpenGL/src/G4OpenGLXmConvenienceRoutines.cc
===================================================================
--- /trunk/source/visualization/OpenGL/src/G4OpenGLXmConvenienceRoutines.cc	(revision 914)
+++ /trunk/source/visualization/OpenGL/src/G4OpenGLXmConvenienceRoutines.cc	(revision 915)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLXmConvenienceRoutines.cc,v 1.12 2009/01/19 16:53:42 lgarnier Exp $
+// $Id: G4OpenGLXmConvenienceRoutines.cc,v 1.13 2009/02/04 16:48:41 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
@@ -40,4 +40,12 @@
 
 #include "G4OpenGLXmViewer.hh"
+
+#include <Xm/Form.h>
+#include <Xm/ToggleB.h>
+#include <Xm/ArrowBG.h>
+#include <Xm/RowColumn.h>
+#include <Xm/TextF.h>
+#include <Xm/Separator.h>
+#include <Xm/Scale.h>
 
 void G4OpenGLXmViewer::Add_four_arrow_buttons (G4OpenGLXmViewer* pView,
Index: /trunk/source/visualization/OpenGL/src/G4OpenGLXmFourArrowButtons.cc
===================================================================
--- /trunk/source/visualization/OpenGL/src/G4OpenGLXmFourArrowButtons.cc	(revision 914)
+++ /trunk/source/visualization/OpenGL/src/G4OpenGLXmFourArrowButtons.cc	(revision 915)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLXmFourArrowButtons.cc,v 1.6 2009/01/19 16:53:42 lgarnier Exp $
+// $Id: G4OpenGLXmFourArrowButtons.cc,v 1.7 2009/02/04 16:48:41 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
Index: /trunk/source/visualization/OpenGL/src/G4OpenGLXmFramedBox.cc
===================================================================
--- /trunk/source/visualization/OpenGL/src/G4OpenGLXmFramedBox.cc	(revision 914)
+++ /trunk/source/visualization/OpenGL/src/G4OpenGLXmFramedBox.cc	(revision 915)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLXmFramedBox.cc,v 1.7 2009/01/19 16:53:42 lgarnier Exp $
+// $Id: G4OpenGLXmFramedBox.cc,v 1.8 2009/02/04 16:48:41 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
Index: /trunk/source/visualization/OpenGL/src/G4OpenGLXmMainMenubarCallbacks.cc
===================================================================
--- /trunk/source/visualization/OpenGL/src/G4OpenGLXmMainMenubarCallbacks.cc	(revision 914)
+++ /trunk/source/visualization/OpenGL/src/G4OpenGLXmMainMenubarCallbacks.cc	(revision 915)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLXmMainMenubarCallbacks.cc,v 1.14 2009/01/19 16:53:42 lgarnier Exp $
+// $Id: G4OpenGLXmMainMenubarCallbacks.cc,v 1.15 2009/02/04 16:48:41 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
Index: /trunk/source/visualization/OpenGL/src/G4OpenGLXmPanningCallbacks.cc
===================================================================
--- /trunk/source/visualization/OpenGL/src/G4OpenGLXmPanningCallbacks.cc	(revision 914)
+++ /trunk/source/visualization/OpenGL/src/G4OpenGLXmPanningCallbacks.cc	(revision 915)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLXmPanningCallbacks.cc,v 1.9 2009/01/19 16:53:42 lgarnier Exp $
+// $Id: G4OpenGLXmPanningCallbacks.cc,v 1.10 2009/02/04 16:48:41 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
Index: /trunk/source/visualization/OpenGL/src/G4OpenGLXmPushButton.cc
===================================================================
--- /trunk/source/visualization/OpenGL/src/G4OpenGLXmPushButton.cc	(revision 914)
+++ /trunk/source/visualization/OpenGL/src/G4OpenGLXmPushButton.cc	(revision 915)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLXmPushButton.cc,v 1.7 2009/01/19 16:53:42 lgarnier Exp $
+// $Id: G4OpenGLXmPushButton.cc,v 1.8 2009/02/04 16:48:41 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
Index: /trunk/source/visualization/OpenGL/src/G4OpenGLXmRadioButton.cc
===================================================================
--- /trunk/source/visualization/OpenGL/src/G4OpenGLXmRadioButton.cc	(revision 914)
+++ /trunk/source/visualization/OpenGL/src/G4OpenGLXmRadioButton.cc	(revision 915)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLXmRadioButton.cc,v 1.7 2009/01/19 16:53:42 lgarnier Exp $
+// $Id: G4OpenGLXmRadioButton.cc,v 1.8 2009/02/04 16:48:41 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
Index: /trunk/source/visualization/OpenGL/src/G4OpenGLXmSeparator.cc
===================================================================
--- /trunk/source/visualization/OpenGL/src/G4OpenGLXmSeparator.cc	(revision 914)
+++ /trunk/source/visualization/OpenGL/src/G4OpenGLXmSeparator.cc	(revision 915)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLXmSeparator.cc,v 1.6 2009/01/19 16:53:42 lgarnier Exp $
+// $Id: G4OpenGLXmSeparator.cc,v 1.7 2009/02/04 16:48:41 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
Index: /trunk/source/visualization/OpenGL/src/G4OpenGLXmTextField.cc
===================================================================
--- /trunk/source/visualization/OpenGL/src/G4OpenGLXmTextField.cc	(revision 914)
+++ /trunk/source/visualization/OpenGL/src/G4OpenGLXmTextField.cc	(revision 915)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLXmTextField.cc,v 1.8 2009/01/19 16:53:42 lgarnier Exp $
+// $Id: G4OpenGLXmTextField.cc,v 1.9 2009/02/04 16:48:41 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
Index: /trunk/source/visualization/OpenGL/src/G4OpenGLXmTopLevelShell.cc
===================================================================
--- /trunk/source/visualization/OpenGL/src/G4OpenGLXmTopLevelShell.cc	(revision 914)
+++ /trunk/source/visualization/OpenGL/src/G4OpenGLXmTopLevelShell.cc	(revision 915)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLXmTopLevelShell.cc,v 1.6 2009/01/19 16:53:42 lgarnier Exp $
+// $Id: G4OpenGLXmTopLevelShell.cc,v 1.7 2009/02/04 16:48:41 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
Index: /trunk/source/visualization/OpenGL/src/G4OpenGLXmVWidgetObject.cc
===================================================================
--- /trunk/source/visualization/OpenGL/src/G4OpenGLXmVWidgetObject.cc	(revision 914)
+++ /trunk/source/visualization/OpenGL/src/G4OpenGLXmVWidgetObject.cc	(revision 915)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLXmVWidgetObject.cc,v 1.6 2009/01/19 16:53:42 lgarnier Exp $
+// $Id: G4OpenGLXmVWidgetObject.cc,v 1.7 2009/02/04 16:48:41 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
Index: /trunk/source/visualization/OpenGL/src/G4OpenGLXmViewer.cc
===================================================================
--- /trunk/source/visualization/OpenGL/src/G4OpenGLXmViewer.cc	(revision 914)
+++ /trunk/source/visualization/OpenGL/src/G4OpenGLXmViewer.cc	(revision 915)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLXmViewer.cc,v 1.29 2009/01/22 15:39:55 lgarnier Exp $
+// $Id: G4OpenGLXmViewer.cc,v 1.30 2009/02/04 16:48:41 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
@@ -50,4 +50,7 @@
 #include "G4Xt.hh"
 #include <X11/Shell.h>
+#include <Xm/MainW.h>
+#include <Xm/Frame.h>
+#include <Xm/DrawingA.h>
 
 #include <sstream>
